Skip to main content
GET
/
card_products
/
{pdt_id}
curl https://production.methodfi.com/card_products/pdt_17 \
  -H "Method-Version: 2025-12-01" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "pdt_17",
  "name": "Chase Freedom",
  "issuer": "Chase",
  "type": "specific",
  "brands": [
    {
        "id": "pdt_17_brd_1",
        "description": "Chase Freedom",
        "network": "visa",
        "network_tier": "signature",
        "default_image": "https://static.methodfi.com/card_brands/fb5fbd6a5d45b942752b9dc641b93d1f.png"
    },
    {
        "id": "pdt_17_brd_2",
        "description": "Chase Freedom",
        "network": "visa",
        "network_tier": "standard",
        "default_image": "https://static.methodfi.com/card_brands/6cb697528b0771f982f7c0e8b8869de3.png"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Returns the CardProduct object associated with the ID.

Path Parameters

Returns

Returns the CardProduct object associated with the ID.
curl https://production.methodfi.com/card_products/pdt_17 \
  -H "Method-Version: 2025-12-01" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "pdt_17",
  "name": "Chase Freedom",
  "issuer": "Chase",
  "type": "specific",
  "brands": [
    {
        "id": "pdt_17_brd_1",
        "description": "Chase Freedom",
        "network": "visa",
        "network_tier": "signature",
        "default_image": "https://static.methodfi.com/card_brands/fb5fbd6a5d45b942752b9dc641b93d1f.png"
    },
    {
        "id": "pdt_17_brd_2",
        "description": "Chase Freedom",
        "network": "visa",
        "network_tier": "standard",
        "default_image": "https://static.methodfi.com/card_brands/6cb697528b0771f982f7c0e8b8869de3.png"
    }
  ]
}